import {useState} from "react";
import Taro, {useDidShow} from '@tarojs/taro'
import {Button, Cell, CellGroup, Space, Empty, ConfigProvider, Divider} from '@nutui/nutui-react-taro'
import {Dongdong, ArrowRight, CheckNormal, Checked} from '@nutui/icons-react-taro'
import {View} from '@tarojs/components'
import {ClinicDoctorMedicalRecord} from "@/api/clinic/clinicDoctorMedicalRecord/model";
import {listClinicDoctorMedicalRecord, removeClinicDoctorMedicalRecord, updateClinicDoctorMedicalRecord} from "@/api/clinic/clinicDoctorMedicalRecord";

const ClinicDoctorMedicalRecordList = () => {
  const [list, setList] = useState<ClinicDoctorMedicalRecord[]>([])

  const reload = () => {
    listClinicDoctorMedicalRecord({
      // 添加查询条件
    })
      .then(data => {
        setList(data || [])
      })
      .catch(() => {
        Taro.showToast({
          title: '获取数据失败',
          icon: 'error'
        });
      })
  }


  const onDel = async (id?: number) => {
    await removeClinicDoctorMedicalRecord(id)
    Taro.showToast({
      title: '删除成功',
      icon: 'success'
    });
    reload();
  }

  useDidShow(() => {
    reload()
  });

  if (list.length == 0) {
    return (
      <ConfigProvider>
        <div className={'h-full flex flex-col justify-center items-center'} style={{
          height: 'calc(100vh - 300px)',
        }}>
          <Empty
            style={{
              backgroundColor: 'transparent'
            }}
            description="暂无数据"
          />
          <Space>
            <Button onClick={() => Taro.navigateTo({url: '/clinic/clinicDoctorMedicalRecord/add'})}>新增医疗记录</Button>
          </Space>
        </div>
      </ConfigProvider>
    )
  }

  return (
    <>
      {list.map((item, _) => (
        <Cell.Group key={item.